Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string
required

The ID of the organization

project_name
string
required

The name of the project

id
string
required

The id of record

resource_name
string
required

The name of the stack resource

Query Parameters

stream
boolean
default:false

Whether to stream metrics via Server-Sent Events (SSE)

Response

  • Returns a ResourceMetrics object when stream=false.
  • Returns a stream of metrics via Server-Sent Events (SSE) when stream=true.
assigned_nodes
string[]
cpu_usage
string

CPU usage in millicores

memory_usage
string

Memory usage in bytes

node_capacities
object[]
timestamp
string<date-time>